BLE_API v2.1.3

Typedefs | Functions
BLE HRS Definitions for Application
BLE Services » BLE Defined-Services » BLE HRS Definitions » BLE HRS Application Definitions

## Typedefs
typedef void(* | BleHRS_EventCallBack) (uint8_t hostId, uint8_t cmdAccess, uint8_t *data, uint16_t length)

## Functions
BleStackStatus | setHRS_ServiceInit (uint8_t hostId, BleGattRole gattRole, BLEATT_HRS_Info *info, BleHRS_EventCallBack callback)
BleStackStatus | getHRS_ServiceHandles (uint8_t hostId, BLEATT_HRS_Info *info)

## Detailed Description

Here shows the definitions of the HRS service for application uses.

## Typedef Documentation

## ◆ BleHRS_EventCallBack

typedef void(* BleHRS_EventCallBack) (uint8_t hostId, uint8_t cmdAccess, uint8_t *data, uint16_t length)

BleHRS_EventCallBack

Note
  This callback receives the HRS events. Each of these events can be associated with parameters.

## Function Documentation

## ◆ getHRS_ServiceHandles()

BleStackStatus getHRS_ServiceHandles | ( | uint8_t | hostId,
|  | BLEATT_HRS_Info * | info
| ) |  |

Get HRS Handle Numbers

Attention
  - role = BLE_GATT_ROLE_CLIENT
    MUST call this API to get service information after received BLECMD_EVENT_ATT_DATABASE_PARSING_FINISHED
  - role = BLE_GATT_ROLE_SERVER
    MUST call this API to get service information before connection established.

Parameters

  [in] | hostId | : the link's host id.
  [out] | info | : a pointer to HRS information

Return values

  BLESTACK_STATUS_ERR_INVALID_HOSTID | : Error host id.
  BLESTACK_STATUS_ERR_INVALID_PARAM | : Invalid parameter.
  BLESTACK_STATUS_SUCCESS | : Setting success.

## ◆ setHRS_ServiceInit()

BleStackStatus setHRS_ServiceInit | ( | uint8_t | hostId,
|  | BleGattRole | gattRole,
|  | BLEATT_HRS_Info * | info,
|  | BleHRS_EventCallBack | callback
| ) |  |

HRS Initialization

Parameters

  [in] | hostId | : the link's host id.
  [in] | gattRole | : BLE GATT role.
  [in] | info | : a pointer to HRS information.
  [in] | callback | : a pointer to a callback function that receive the service events.

Return values

  BLESTACK_STATUS_ERR_INVALID_HOSTID | : Error host id.
  BLESTACK_STATUS_ERR_INVALID_PARAM | : Invalid parameter.
  BLESTACK_STATUS_ERR_NOT_SUPPORTED | : Registered services buffer full.
  BLESTACK_STATUS_SUCCESS | : Setting success.